All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

*** This interface provides Binary Compatibility only, not Source Compatibility ***

## com.sas.services.information.metadata
Interface ForeignKeyInterface

All Superinterfaces:
  MetadataInterface, PublicObjectInterface, java.rmi.Remote

    public interface ForeignKeyInterface

extends MetadataInterface

Represents foreign key associated with the relational table

Field Summary

Fields inherited from interface com.sas.services.information.metadata.MetadataInterface
`METADATA_STATE_DELETED, METADATA_STATE_DESTROYED, METADATA_STATE_NEW, METADATA_STATE_NORMAL, PERMISSION_READMETADATA, PERMISSION_WRITEMETADATA`

Method Summary
`void` | `addAssociation(KeyAssociationInterface associatoin)` Add a key association to the foreign key
`java.util.List<KeyAssociationInterface>` | `getAssociations()` Get the column associations bind with this foreign key
`DataTableInterface` | `getOwningTable()` Get a owning table of the foreign key
`RelationalKeyInterface` | `getPartnerUniqueKey()` Get a partner unique key of the foreign key.
`void` | `removeAssociation(KeyAssociationInterface association)` Remove a key association from the foreign key

Methods inherited from interface com.sas.services.information.metadata.MetadataInterface
`add, addAccessControl, addAttribute, addAttributes, addDocument, addExtension, addGroup, addImplementor, addKeyword, addNoteTextStore, addNoteTextStore, addObjectProperty, addObjectProperty, addPermissions, addPrompt, addPropertySet, addRemark, addResponsibleParty, addTransactionListener, addUsedByPrototype, checkin, checkout, commit, copyTo, countAssociatedObjects, delete, deleteAttribute, deleteAttributes, destroy, getAccessControls, getAttribute, getAttributes, getAuthorizationUtil, getCreateDate, getCreatedBy, getDescription, getDocuments, getEntityKey, getEntityURL, getExtensions, getGroups, getGUID, getIdentities, getImplementors, getKeywords, getLockedBy, getModifiedBy, getModifyDate, getNoteTextStore, getNoteTextStores, getNoteTextStoresByRole, getObjectProperties, getParent, getParentPath, getParents, getPath, getPaths, getPermission, getPermissions, getPermissions, getPreviousVersionNames, getPrimaryPropertyGroup, getPrompt, getPrompts, getPropertyBag, getPropertySets, getRemarksList, getReposId, getRepository, getRepositoryEntity, getRepositoryName, getReposKey, getResponsibleParties, getState, getTrackingId, getType, getUsageVersion, getUsedByPrototypes, getUsingPrototype, getVersion, isAuthorized, isCompatible, isDeleted, isDestroyed, isLoggingEnabled, isObjectAlive, isReadCompatible, logMessage, mapNameToFilesystem, mapUrlToFilesystem, moveTo, newServiceObject, refresh, removeAccessControl, removeDocument, removeExtension, removeGroup, removeImplementor, removeKeyword, removeNoteTextStore, removeObjectProperty, removePermissions, removePrompt, removePropertySet, removeResponsibleParty, removeResponsiblePartyByIdentity, removeUsedByPrototype, rollback, setAttribute, setAttributes, setDeleted, setDescription, setDocuments, setExtensions, setGroups, setGUID, setKeywords, setName, setNoteTextStores, setObjectProperties, setPermission, setPrimaryPropertyGroup, setPrompt, setPrompts, setRemarksList, setRepository, setUsingPrototype, startTransaction, toByteArray, transactionEvent, uncheckout, update, updateFromBag, version`

Methods inherited from interface com.sas.services.information.publicobject.PublicObjectInterface
`addProcessorInterface, getContainer, getIdentifier, getName, getObjectURI, getPathUrl, getProcessorInterface, getTypeDescriptor`

Method Detail

### getAssociations

    java.util.List<KeyAssociationInterface> getAssociations()
                                                            throws ServiceException,
                                                                   java.rmi.RemoteException

  Get the column associations bind with this foreign key

  Returns:
  Throws:
    `ServiceException` - - If a repository error occurs.
    `java.rmi.RemoteException` - - In the event of remote object failure.

### addAssociation

    void addAssociation(KeyAssociationInterface associatoin)
                        throws ServiceException,
                               java.rmi.RemoteException

  Add a key association to the foreign key

  Parameters:
    `associatoin` -
  Throws:
    `ServiceException` - - 1] If key association exist in the foreign key 2] If a repository error occurs.
    `java.rmi.RemoteException` - - In the event of remote object failure.

### removeAssociation

    void removeAssociation(KeyAssociationInterface association)
                           throws ServiceException,
                                  java.rmi.RemoteException

  Remove a key association from the foreign key

  Parameters:
    `association` -
  Throws:
    `ServiceException` - - 1] If key association to remove is the only key association in the foreign key 2] If a repository error occurs.
    `java.rmi.RemoteException` - - In the event of remote object failure.

### getOwningTable

    DataTableInterface getOwningTable()
                                      throws ServiceException,
                                             java.rmi.RemoteException

  Get a owning table of the foreign key

  Returns:
  Throws:
    `ServiceException` - - If a repository error occurs.
    `java.rmi.RemoteException` - - In the event of remote object failure.

### getPartnerUniqueKey

    RelationalKeyInterface getPartnerUniqueKey()
                                               throws ServiceException,
                                                      java.rmi.RemoteException

  Get a partner unique key of the foreign key.

  Returns:
  Throws:
    `ServiceException` - - If a repository error occurs.
    `java.rmi.RemoteException` - - In the event of remote object failure.

*** This interface provides Binary Compatibility only, not Source Compatibility ***

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.